Page MenuHomePhabricator

Create integration/edge-to-edge ensuring blocked users cannot edit Wikibase entities via the API
Closed, ResolvedPublic

Description

Part of T211038 but for the API modules

Wikibase api modules:

  • wbcreateclaim
  • wbcreateredirect
  • wbeditentity
  • wblinktitles
  • wbmergeitems
  • wbremoveclaims
  • wbremovequalifiers
  • wbremovereferences
  • wbsetaliases
  • wbsetclaim
  • wbsetclaimvalue
  • wbsetdescription
  • wbsetlabel
  • wbsetqualifier
  • wbsetreference
  • wbsetsitelink

Wikibase Lexeme api modules:

  • wbladdform
  • wbladdsense
  • wbleditformelements
  • wbleditsenseelements
  • wblmergelexemes
  • wblremoveform
  • wblremovesense

Event Timeline

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 5 2018, 9:12 AM
Michael claimed this task.Dec 13 2018, 9:34 AM
Restricted Application added a project: User-Michael. · View Herald TranscriptDec 13 2018, 9:34 AM
Michael updated the task description. (Show Details)Dec 13 2018, 2:16 PM
Michael moved this task from 🗃️ Incoming to ⏳ In progress on the User-Michael board.

Change 479450 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Add tests to ensure blocked users are api-blocked

https://gerrit.wikimedia.org/r/479450

Michael updated the task description. (Show Details)Dec 14 2018, 1:18 PM
Michael updated the task description. (Show Details)Dec 17 2018, 1:43 PM
Michael updated the task description. (Show Details)Dec 17 2018, 4:28 PM

Change 480111 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseLexeme@master] Add edge2edge tests for api for blocked users

https://gerrit.wikimedia.org/r/480111

Change 480111 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add edge2edge tests for api for blocked users

https://gerrit.wikimedia.org/r/480111

Change 479450 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add tests to ensure blocked users are api-blocked

https://gerrit.wikimedia.org/r/479450

Addshore closed this task as Resolved.Dec 20 2018, 11:26 AM

Everything listed in the task description has been done